org.eclipse.rdf4j.spin

## Enum SpinRenderer.Output

- java.lang.Object
- - java.lang.Enum<SpinRenderer.Output>
  - - org.eclipse.rdf4j.spin.SpinRenderer.Output

- All Implemented Interfaces:
    Serializable, Comparable<SpinRenderer.Output>
  Enclosing class:
    SpinRenderer

      public static enum SpinRenderer.Output
      extends Enum<SpinRenderer.Output>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RDF_ONLY`
    `TEXT_AND_RDF`
    `TEXT_ONLY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpinRenderer.Output` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpinRenderer.Output[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT_AND_RDF

          public static final SpinRenderer.Output TEXT_AND_RDF

    - #### TEXT_ONLY

          public static final SpinRenderer.Output TEXT_ONLY

    - #### RDF_ONLY

          public static final SpinRenderer.Output RDF_ONLY

  - ### Method Detail

    - #### values

          public static SpinRenderer.Output[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpinRenderer.Output c : SpinRenderer.Output.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpinRenderer.Output valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.